Skip to main content
`Ctrl`+`K`

# PetscViewerPushFormat

Sets the format for a `PetscViewer`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerPushFormat(PetscViewer viewer, PetscViewerFormat format)

Logically Collective

## Input Parameters

- viewer - the `PetscViewer`

- format - the format

## Note

See `PetscViewerFormat` for available values

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerFormat`, `PetscViewerASCIIOpen()`, `PetscViewerBinaryOpen()`, `MatView()`, `VecView()`, `PetscViewerSetFormat()`, `PetscViewerPopFormat()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/viewa.c

## Examples

src/dm/impls/plex/tutorials/ex5.c
src/dm/impls/plex/tutorials/ex19.c
src/dm/tutorials/ex7.c
src/ksp/ksp/tutorials/ex27.c
src/ksp/ksp/tutorials/ex54.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex56.c
src/ksp/ksp/tutorials/ex34.c
src/ksp/ksp/tutorials/ex2f.F90
src/ksp/ksp/tutorials/ex55.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages